Package org.h2.test.db

# Class TestMultiConn.MyDatabaseEventListener

java.lang.Object
org.h2.test.db.TestMultiConn.MyDatabaseEventListener

All Implemented Interfaces:
  `EventListener`, `DatabaseEventListener`

Enclosing class:
  TestMultiConn

public static final class TestMultiConn.MyDatabaseEventListener extends Object implements DatabaseEventListener
A database event listener used in this test.

## Field Summary

### Fields inherited from interface org.h2.api.DatabaseEventListener

`STATE_BACKUP_FILE, STATE_CREATE_INDEX, STATE_RECONNECTED, STATE_RECOVER, STATE_SCAN_FILE, STATE_STATEMENT_END, STATE_STATEMENT_PROGRESS, STATE_STATEMENT_START`

## Constructor Summary

Constructors
Constructor
Description
`MyDatabaseEventListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setProgress(int state, String name, long x, long max)`
This method is called for long running events, such as recovering, scanning a file or building an index.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.DatabaseEventListener

`closingDatabase, exceptionThrown, init, opened`

## Constructor Details

### MyDatabaseEventListener

public MyDatabaseEventListener()

## Method Details

### setProgress

public void setProgress(int state, String name, long x, long max)
Description copied from interface: `DatabaseEventListener`
This method is called for long running events, such as recovering, scanning a file or building an index.

More states might be added in future versions, therefore implementations should silently ignore states that they don't understand.

Specified by:
  `setProgress` in interface `DatabaseEventListener`
Parameters:
  `state` - the state
  `name` - the object name
  `x` - the current position
  `max` - the highest possible value or 0 if unknown